## GtkDataboxXYYCGraph GtkDataboxXYYCGraph — An abstract anchestor for all graphs which display xyy-values (x, y1 and y2 values) in one color. |

## Types and Values

| GtkDataboxXYYCGraph
| GtkDataboxXYYCGraphClass

## Includes

    #include <gtkdatabox_xyyc_graph.h>

## Description

GtkDataboxXYYCGraphs are an abstract class for displaying XYY-data (x, y1 and y2 values) in one color. The values for the data are represented as an array of X values, an array of Y1 values and an array of Y2 values. In order to actually display data, you should use one of the derived classes.

## Functions

## Types and Values

### GtkDataboxXYYCGraph

    typedef struct _GtkDataboxXYYCGraph GtkDataboxXYYCGraph;

GtkDataboxXYYCGraphs are an abstract class for displaying XY-data in one color. The values for the data are represented as an array of X values and a second array of Y values. In order to actually display data, you should use one of the derived classes.

### GtkDataboxXYYCGraphClass

    typedef struct _GtkDataboxXYYCGraphClass GtkDataboxXYYCGraphClass;

The object class of GtkDataboxXYYCGraph.

## See Also

GtkDatabox, GtkDataboxOffsetBars